import { addFilter } from '@wordpress/hooks'
import { Fill, CardBody } from '@wordpress/components';
import { List } from '@woocommerce/components';
import { __ } from '@wordpress/i18n';
import { Icon, chevronRight } from '@wordpress/icons';

/**
 * Returns the the components for 'barn2_setup_wizard_ready_page'
 */
const readyPageContent = () => {
	return () => {
		const listItems = [
			{
				after: <Icon icon={ chevronRight } />,
				title: __('Add opening hours'),
				href: `${barn2_setup_wizard.opening_hours_link}`,
			},
			{
				after: <Icon icon={ chevronRight } />,
				title: __('Continue without adding opening hours'),
				href: `${barn2_setup_wizard.skip_url}`,
			},
		];

		return (
			<Fill name="ReadyPageContent">
				<CardBody>
					<List items={listItems} />
				</CardBody>
			</Fill>
		);
	};
}
addFilter('barn2_setup_wizard_ready_page', 'wro-wizard', readyPageContent );