<?php

namespace Barn2\Plugin\WC_Restaurant_Ordering;

use Barn2\Plugin\WC_Restaurant_Ordering\Menu\Menu_Options;
use Barn2\Plugin\WC_Restaurant_Ordering\Menu\Restaurant_Menu;
use Barn2\WRO_Lib\Conditional;
use Barn2\WRO_Lib\Registerable;
use Barn2\WRO_Lib\Service;
use Barn2\WRO_Lib\Util;

/**
 * Handles the restaurant ordering shortcodes.
 *
 * @package   Barn2\woocommerce-restaurant-ordering
 * @author    Barn2 Plugins <support@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 */
class Shortcodes implements Service, Registerable, Conditional {

	const MENU_SHORTCODE = 'restaurant_ordering';

	public function is_required() {
		return Util::is_front_end();
	}

	public function register() {
		add_shortcode( self::MENU_SHORTCODE, [ $this, 'menu_shortcode' ] );
	}

	public function menu_shortcode( $atts, $content = '' ) {
		$menu = new Restaurant_Menu( new Menu_Options( (array) $atts ) );
		return $menu->render();
	}

}
